Package wx :: Package lib :: Module delayedresult :: Class Sender

[frames | no frames]

## Class Sender

Known Subclasses:
  `SenderCallAfter`, `SenderNoWx`, `SenderWxEvent`

Base class for various kinds of senders. A sender sends a result produced by a worker funtion to a result handler (listener). Note that each sender can be given a "job id". This can be anything (number, string, id, and object, etc) and is not used, it is simply added as attribute whenever a DelayedResult is created. This allows you to know, if desired, what result corresponds to which sender. Note that uniqueness is not necessary.

Derive from this class if none of the existing derived classes are adequate, and override _sendImpl().

Method Summary
| ``__init__`(self, jobID)` The optional jobID can be anything that you want to use to track which sender particular results come from.
| ``getJobID`(self)` Return the jobID given at construction
| ``sendException`(self, exception, extraInfo)` Use this when the worker function raised an exception.
| ``sendResult`(self, result)` This will send the result to handler, using whatever technique the derived class uses.

Method Details

### __init__(self, jobID=None)
(Constructor)

The optional jobID can be anything that you want to use to track which sender particular results come from.

### getJobID(self)

Return the jobID given at construction

### sendException(self, exception, extraInfo=None)

Use this when the worker function raised an exception. The exception is the instance of Exception caught. The extraInfo could be anything you want (e.g. locals or traceback etc), it will be added to the exception as attribute 'extraInfo'. The exception will be raised when DelayedResult.get() is called.

### sendResult(self, result)

This will send the result to handler, using whatever technique the derived class uses.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:43 2007 | http://epydoc.sf.net